#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: ixset-typed
version: 0.3.1.1
id: ixset-typed-0.3.1.1-4fUzEM1GbyD92fBmD83JC6
key: ixset-typed-0.3.1.1-4fUzEM1GbyD92fBmD83JC6
license: BSD3
maintainer: Andres Löh <andres@well-typed.com>
synopsis: Efficient relational queries on Haskell sets.
description:
    This Haskell package provides a data structure of sets that are indexed
    by potentially multiple indices.
    .
    Sets can be created, modified, and queried in various ways.
    .
    The package is a variant of the <https://hackage.haskell.org/package/ixset ixset>
    package. The ixset package makes use
    of run-time type information to find a suitable index on a query, resulting
    in possible run-time errors when no suitable index exists. In ixset-typed,
    the types of all indices available or tracked in the type system.
    Thus, ixset-typed should be safer to use than ixset, but in turn requires
    more GHC extensions.
    .
    At the moment, the two packages are relatively compatible. As a consequence
    of the more precise types, a few manual tweaks are necessary when switching
    from one to the other, but the interface is mostly the same.
category: Data Structures
author: Andres Löh, Happstack team, HAppS LLC
exposed: True
indefinite: False
exposed-modules:
    Data.IxSet.Typed Data.IxSet.Typed.Ix
abi: 0efe6b7b628b075d22132b9309b8143d
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/ixset-typed-0.3.1.1
library-dirs: /usr/lib/ghc-8.2.1/site-local/ixset-typed-0.3.1.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/ixset-typed-0.3.1.1
hs-libraries: HSixset-typed-0.3.1.1-4fUzEM1GbyD92fBmD83JC6
depends:
    base-4.10.0.0 containers-0.5.10.2 deepseq-1.4.3.0
    safecopy-0.9.3.3-8F3iHBCU2YoAi5AuuVN331
    syb-0.7-2rRPTNxBP6YFePrCXw4i2o template-haskell-2.12.0.0
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             containers-0.5.10.2=dd4e66fa9ac268f47a15786f1100b042
             deepseq-1.4.3.0=5db6f9c28d6213bd6646f988460dacd0
             safecopy-0.9.3.3-8F3iHBCU2YoAi5AuuVN331=84adc528b38c778d245677c52fb903ad
             syb-0.7-2rRPTNxBP6YFePrCXw4i2o=4ce6cc08831568c116a562974ba627d9
             template-haskell-2.12.0.0=f12600dbe1b363b1dcebe6addb7b269e
haddock-interfaces: /usr/share/doc/haskell-ixset-typed/html/ixset-typed.haddock
haddock-html: /usr/share/doc/haskell-ixset-typed/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

